- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDAnimationClip Class Reference
[COLLADA Document Object Model.]

A COLLADA animation clip. More...

`#include <FCDAnimationClip.h>`

Inheritance diagram for FCDAnimationClip:

List of all members.

## Public Member Functions
| FCDAnimationClip (FCDocument *document)
| Constructor.
virtual | ~FCDAnimationClip ()
| Destructor.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the animation clip entity into a clone.
virtual Type | GetType () const
| Retrieves the entity type for this class.
FCDAnimationCurveTrackList & | GetClipCurves ()
| Retrieves the list of curves that are used by this animation clip.
const FCDAnimationCurveTrackList & | GetClipCurves () const
| See above.
void | AddClipCurve (FCDAnimationCurve *curve)
| Inserts an existing curve within this animation clip.
float | GetStart () const
| Retrieves the start time marker position for this animation clip.
void | SetStart (float _start)
| Sets the start time marker position for this animation clip.
float | GetEnd () const
| Retrieves the end time marker position for this animation clip.
void | SetEnd (float _end)
| Sets the end time marker position for this animation clip.
size_t | GetAnimationCount () const
| Retrieves the number of instanced animations within this animation clip.
FCDAnimation * | GetAnimation (size_t index) const
| Retrieves a given animation instanced by this clip.
void | SetAnimationName (const fm::string &name, size_t index)
| Sets the name of the animation at a given index.
fm::string | GetAnimationName (size_t index) const
| Retrieves the name of the animation at a given index.
FCDEntityInstance * | AddInstanceAnimation ()
| [INTERNAL] Adds an animation instance.
FCDEntityInstance * | AddInstanceAnimation (FCDAnimation *animation)
| [INTERNAL] Adds an animation instance.

## Detailed Description

A COLLADA animation clip.

Animation clips are used to group together animation segments. Animation clips are typically used to form complex animation sequences where all the curves should only be used simultaneously.

## Constructor & Destructor Documentation

FCDAnimationClip::FCDAnimationClip | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The COLLADA document that holds this animation clip.

## Member Function Documentation

void FCDAnimationClip::AddClipCurve | ( | FCDAnimationCurve * | curve | ) |

  | Inserts an existing curve within this animation clip. Parameters:
  | curve | An animation curve to be used within this clip.

FCDEntityInstance* FCDAnimationClip::AddInstanceAnimation | ( | FCDAnimation * | animation | ) |

  | [INTERNAL] Adds an animation instance. Parameters:
  | animation | The animation to instance.
Returns: The animation instance.

FCDEntityInstance* FCDAnimationClip::AddInstanceAnimation | ( |  | ) |

| [INTERNAL] Adds an animation instance. Returns: The empty animation instance.

virtual FCDEntity* FCDAnimationClip::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the animation clip entity into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new animation clip will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

FCDAnimation* FCDAnimationClip::GetAnimation | ( | size_t | index | ) | const`[inline]`

  | Retrieves a given animation instanced by this clip. Parameters:
  | index | The index of the animation to retrieve.
Returns: The animation object at the given index.

size_t FCDAnimationClip::GetAnimationCount | ( |  | ) | const`[inline]`

| Retrieves the number of instanced animations within this animation clip. Returns: The number of instanced animations.

fm::string FCDAnimationClip::GetAnimationName | ( | size_t | index | ) | const`[inline]`

  | Retrieves the name of the animation at a given index. Parameters:
  | index | The index of the animation.
Returns: The name of the animation.

FCDAnimationCurveTrackList& FCDAnimationClip::GetClipCurves | ( |  | ) | `[inline]`

| Retrieves the list of curves that are used by this animation clip. Returns: The list of curves for the clip.

float FCDAnimationClip::GetEnd | ( |  | ) | const`[inline]`

| Retrieves the end time marker position for this animation clip. When using the animation clip, all the animation curves will need to be synchronized in order for the animation to complete at the end time. Returns: The end time marker position, in seconds.

float FCDAnimationClip::GetStart | ( |  | ) | const`[inline]`

| Retrieves the start time marker position for this animation clip. When using the animation clip, all the animation curves will need to be synchronized in order for the animation to start at the start time. Returns: The start time marker position, in seconds.

virtual Type FCDAnimationClip::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity class interface. Returns: The entity type: IMAGE. Reimplemented from FCDEntity.

void FCDAnimationClip::SetAnimationName | ( | const fm::string & | name,
|  | size_t | index
| ) | `[inline]`

  | Sets the name of the animation at a given index. Parameters:
  | name | The name to give the animation at the given index.
  | index | The index of the animation that will get the new name.

void FCDAnimationClip::SetEnd | ( | float | _end | ) | `[inline]`

  | Sets the end time marker position for this animation clip. Parameters:
  | _end | The end time marker position.

void FCDAnimationClip::SetStart | ( | float | _start | ) | `[inline]`

  | Sets the start time marker position for this animation clip. Parameters:
  | _start | The new start time marker position.

The documentation for this class was generated from the following file:

- FCDocument/FCDAnimationClip.h